OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.GPUProgramParameters

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetEXTGPUProgramParameters :: MonadIO m => m Bool
- gl_EXT_gpu_program_parameters :: Bool
- glProgramEnvParameters4fvEXT :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramLocalParameters4fvEXT :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLfloat -> m ()

# Extension Support

glGetEXTGPUProgramParameters :: MonadIO m => m Bool

Is the EXT_gpu_program_parameters extension supported?

gl_EXT_gpu_program_parameters :: Bool

Is the EXT_gpu_program_parameters extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTGPUProgramParameters` in those cases instead.

# Functions

glProgramEnvParameters4fvEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLfloat | `params` pointing to `count*4` elements of type `GLfloat`.
-> m () |

glProgramLocalParameters4fvEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ProgramTargetARB`.
-> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLfloat | `params` pointing to `count*4` elements of type `GLfloat`.
-> m () |